UPDATED SEE Seg Test

 &CALTRANS_IRSIN
  Comment = '  ',
  Comment = '060931 S15.0 added lincal_satcor.fits (Bob)',
  Comment = '060227 deleted nmask.fits (Bob)',
  Comment = '050408 added cal_set.txt file (Bob)',
  Comment = 'Generic CALTRANS Namelist Section for IRS',
  Comment = '050307 Updated CALTRANSptgIN for Frank (Bob)',
  Comment = 'Checked in, P. Appleton-D.Shupe Nov 2004 for S11  ',
  Comment = 'Note, all cal rules are fallback',
  Input_DCE_Image = 'tranhead.fits',
  CalMode = 2,
  CalInstrument = 'IRSX',
  CalChannel = 0,
  CalID = 13,
  CalReadoutMode = 'RAW',
  CalCachePath = '/ssc/testdata/irs/S8.0/calcache',
  CalRule = '0;0;0;0;0;0;0;0;0;0;0;0;0;0;0;0;0;0',
  CalType = 'dark;flatfield;linecorrect;linmod;ordermask;pmask;wavesamp;umask;lmask;sltcoeffs;wavsampoffset;wavsampomask;wavsampwave;fluxcon;fovmask;pkumask;calset;linsat',
  CalOutFname = 'dark.fits;flatfield.fits;linecorr.tbl;lincal.fits;omask.fits;pmask.fits;wavsamp.tbl;umask.fits;lmask.fits;slt_coeffs.tbl;wavsamp_offset.fits;wavsamp_omask.fits;wavsamp_wave.fits;fluxcon.tbl;fovmask.fits;pkumask.fits;cal_set.txt;lincal_satcor.fits',
  CalEpidKword = 'EPIDDARK;EPIDFLAT;EPIDLNCR;EPIDLNMD;EPIDOMSK;EPIDPMSK;EPIDWSMP;EPIDUMSK;EPIDLMSK;EPIDSLTC;EPIDWSOF;EPIDWSOM;EPIDWSWA;EPIDFLXC;EPIDFMSK;EPIDPUMK;EPIDCALS;EPIDLNSC',
  CalFbidKword = 'FBIDDARK;FBIDFLAT;FBIDLNCR;FBIDLNMD;FBIDOMSK;FBIDPMSK;FBIDWSMP;FBIDUMSK;FBIDLMSK;FBIDSLTC;FBIDWSOF;FBIDWSOM;FBIDWSWA;FBIDFLXC;FBIDFMSK;FBIDPUMK;FBIDCALS;FBIDLNSC',
  CalDestPath = './cal',
  CalKeywordList1 = 'chnlnum;readoutmode',
  CalValueList1 = '0;RAW',
  CalAttribList1 = 'n;s',
  CalUncertList1 = '0;0',
  CalTolerList1 = '0;0',
  CalKeywordList2 = 'chnlnum;readoutmode',
  CalValueList2 = '0;RAW',
  CalAttribList2 = 'n;s',
  CalUncertList2 = '0;0',
  CalTolerList2 = '0;0',
  CalKeywordList3 = 'chnlnum;readoutmode',
  CalValueList3 = '0;RAW',
  CalAttribList3 = 'n;s',
  CalUncertList3 = '0;0',
  CalTolerList3 = '0;0',
  CalKeywordList4 = 'chnlnum;readoutmode',
  CalValueList4 = '0;RAW',
  CalAttribList4 = 'n;s',
  CalUncertList4 = '0;0',
  CalTolerList4 = '0;0',
  CalKeywordList5 = 'chnlnum;readoutmode',
  CalValueList5 = '0;RAW',
  CalAttribList5 = 'n;s',
  CalUncertList5 = '0;0',
  CalTolerList5 = '0;0',
  CalKeywordList6 = 'chnlnum;readoutmode',
  CalValueList6 = '0;RAW',
  CalAttribList6 = 'n;s',
  CalUncertList6 = '0;0',
  CalTolerList6 = '0;0',
  CalKeywordList7 = 'chnlnum;readoutmode',
  CalValueList7 = '0;RAW',
  CalAttribList7 = 'n;s',
  CalUncertList7 = '0;0',
  CalTolerList7 = '0;0',
  CalKeywordList8 = 'chnlnum;readoutmode',
  CalValueList8 = '0;RAW',
  CalAttribList8 = 'n;s',
  CalUncertList8 = '0;0',
  CalTolerList8 = '0;0',
  CalKeywordList9 = 'chnlnum;readoutmode',
  CalValueList9 = '0;RAW',
  CalAttribList9 = 'n;s',
  CalUncertList9 = '0;0',
  CalTolerList9 = '0;0',
  CalKeywordList10 = 'chnlnum;readoutmode',
  CalValueList10 = '0;RAW',
  CalAttribList10 = 'n;s',
  CalUncertList10 = '0;0',
  CalTolerList10 = '0;0',
  CalKeywordList11 = 'chnlnum;readoutmode',
  CalValueList11 = '0;RAW',
  CalAttribList11 = 'n;s',
  CalUncertList11 = '0;0',
  CalTolerList11 = '0;0',
  CalKeywordList12 = 'chnlnum;readoutmode',
  CalValueList12 = '0;RAW',
  CalAttribList12 = 'n;s',
  CalUncertList12 = '0;0',
  CalTolerList12 = '0;0',
  CalKeywordList13 = 'chnlnum;readoutmode',
  CalValueList13 = '0;RAW',
  CalAttribList13 = 'n;s',
  CalUncertList13 = '0;0',
  CalTolerList13 = '0;0',
  CalKeywordList14 = 'chnlnum;readoutmode',
  CalValueList14 = '0;RAW',
  CalAttribList14 = 'n;s',
  CalUncertList14 = '0;0',
  CalTolerList14 = '0;0',
  CalKeywordList15 = 'chnlnum;readoutmode',
  CalValueList15 = '0;RAW',
  CalAttribList15 = 'n;s',
  CalUncertList15 = '0;0',
  CalTolerList15 = '0;0',
  CalKeywordList16 = 'chnlnum;readoutmode',
  CalValueList16 = '0;RAW',
  CalAttribList16 = 'n;s',
  CalUncertList16 = '0;0',
  CalTolerList16 = '0;0',
  CalKeywordList17 = 'readoutmode',
  CalValueList17 = 'RAW',
  CalAttribList17 = 's',
  CalUncertList17 = '0',
  CalTolerList17 = '0',
  CalKeywordList18 = 'chnlnum;readoutmode',
  CalValueList18 = '0;RAW',
  CalAttribList18 = 'n;s',
  CalUncertList18 = '0;0',
  CalTolerList18 = '0;0',
  Log_Filename = './caltrans.log',
 &end

 &CALTRANSptgIN
  Comment = 'Rule numbers for cdelt12_distort_blue;cdelt12_distort_red;cdelt12_distort_full;slit_pa_offsets.tbl;instrument_FOV.tbl',
  CalRule = '0;0;0;0;0',
 &end

 &CALTRANSpuAcqIN
  Comment = 'READOUTMODE = PEAKUP Rule numbers dcsflat  dcsdark cal_set',
  CalReadoutMode = 'ALL',
  CalType = 'dcsflat;dcsdark;calset',
  CalOutFname = 'dcsflat.fits;dcsdark.fits;cal_set.txt',
  CalEpidKword = 'DCSFLAT;DCSDARK;EPIDCALS',
  CalFbidKword = 'FBIDFLAT;FBIDDARK;FBIDCALS',
  CalKeywordList1 = 'chnlnum',
  CalAttribList1 = 'n',
  CalValueList1 = '0',
  CalTolerList1 = '0',
  CalRule = '0;0;0',
 &end

 &CALTRANSirsbqdIN
  Comment = 'Generic namelist file for CALTRANS service.',
  CalRule = '0;0;0',
 &END

 &CALTRANSirsSpectraIN
  Comment = 'Generic namelist file for CALTRANS service.',
  CalRule = '0;0;0',
 &END

 &RUNMOPEXIN
  Comment = 'Rule numbers for pmask, prfmap, mosaicblueprf, mosaicredprf',
  CalRule = '0;0;0',
 &END

