&PROFILE

   # ========== Parameters for the PROFILE module ==========
   # File updated 03/18/03 JB
   # Changed fatal bmask value 08/23/05 SFA
   # S17 2007/09/10 Added bit 8 (256) to fatal bits (Bob)

    P_i    = coadd2d.fits,               INPUT_FITS_FILE
    P_w    = cal/b2_wavsamp.tbl,         WAVSAMP_TBL_FILE
    P_c    = 1000,                       NUMBER_CUTS
    P_o    = profile.tbl,                OUTPUT_TBL_FILE
    P_q    = qa/profile.qa,              OUTPUT_QA_FILE
    P_t    = cal/b2_psf_fov.tbl,         FOVTABLE_FILE
    P_b    = bmask.fits,                 BMASKFILE
    P_fb   = 29056,                      BMASKFILE_FATAL
#   P_ord  = 1,                          ORDERS
#   P_l11  = 20.60,                      LAMBDA11
#   P_l21  = 25.00,                      LAMBDA21
#   P_l12  = 25.00,                      LAMBDA12
#   P_l22  = 30.00,                      LAMBDA22
#   P_l13  = 30.00,                      LAMBDA13
#   P_l23  = 35.00,                      LAMBDA23
#   P_l14  = 35.00,                      LAMBDA14
#   P_l24  = 40.00,                      LAMBDA24
#   P_v    = 1,                          VERBOSE

&END
