&COADD2D  

   #================= HISTORY  ===========================
   # Revision:  March 10, 2003 by Harry Teplitz
   #            08/04/03, HT
   #            08/23/05, SFA

   #================= COMMENTS ===========================
   #
   # BMASK bits to be set to fatal:
   #  8      Flat field could not be applied (flatap)
   #  12     Only one usable plane
   #  13     No usable planes
   #  14     Pixel masked in pmask
   #  
   # any bit flagged in the PMASK should be fatal so
   # look at bits 8,9,10,14 according to  SOSDL-SIS-CL-3005 
   # but PMASK is commented out anyway at the moment
   #  
   # BMASK bits to pass-through (non-fatal, but set in the output
   # AMASK if set in the input BMASKs):
   #  7      Flat field was applied but is questionable (flatap)
   #  
                                                                
   #================= INPUT & OUTPUT FILES ===============      
    C2D_ls = 0                          LISTS_IN_NLFILE         
    C2D_di = inputlist_coadd            DATA_IN_LFILE           
    C2D_do = coadd2d.fits               DATA_OUT_FILE           
    C2D_si = inputlist_unc_coadd        SDEV_IN_LFILE           
    C2D_so = coadd2d_unc.fits           SDEV_OUT_FILE           
    C2D_bm = inputlist_bmask_coadd      BMASK_IN_LFILE          
    #C2D_pm = inputlist_pmask_coadd      PMASK_IN_LFILE          
    C2D_am = amask.fits                 AMASK_OUT_FILE          
                                                                
   #================ GENERAL PARAMETERS ==================      
    C2D_bf =  28928                     BFATAL                  
    C2D_pf =  18176                     PFATAL                  
    C2D_bp =   128                      BPASS_THROUGH
    C2D_ag =    1                       AMASK_MIN_GOOD          
                                                                
   #================= HELP AND DEBUGGING =================      
    C2D_V  =    0                       VERBOSE                 
    C2D_D  =    0                       DEBUG                   
                                                                
&END                
