

/***********************************************
c2s_trans_errcodes.h

Define error codes.

***********************************************/

#define LEFT_MASK               0xffff0000
#define RIGHT_MASK              0x0000ffff

#define FITS_MSG_MASK           0x00001000
#define EXEC                    0x00010000
#define INIT_CONSTANTS          0x00020000
#define INIT                    0x00030000
#define FIF_UPDATE              0x00040000
#define READ_TABLE              0x00050000
#define WRITE_TABLE             0x00060000
#define REF_FRAME_READ          0x00070000
#define COMPUTE_RESULTS         0x00080000
#define READ_DATA               0x00090000
#define WRITE_DATA              0x00100000
#define NAMELIST                0x00110000
#define OUTPUT                  0x00120000
#define PARSE_ARGS              0x00130000
#define READ_FITS               0x00140000

#define TABLE_WRITE             0x00000003
#define TABLE_READ              0x00000004
#define DATA_WRITE_ERR          0x00000005
#define MISSING_KEYWORD         0x00000006
#define BAD_KEYWORD_READ        0x00000007
#define TABLE_LINK_ERR          0x00000008
#define FITSOPEN_FAILED         0x00000009
#define WCS_REF                 0x00000010
#define FOPEN_FAILED            0x00000011
#define COULDNOTREAD            0x00000012
#define NO_ARGS                 0x00000013
#define REQ_ARGS_INCOMP         0x00000014
#define CL_ARGS_INCRT           0x00000015
#define INCRT_ARRAY             0x00000016
#define INCRT_PARAMS            0x00000017
#define ERROR_EXIT              0x00000018
#define MISSING_COLUMN          0x00000019

#define MALLOC_FAILED           0x00000071
