

/***********************************************
mosaic_int_mask_errcodes.h

Define error codes.

***********************************************/

#define LEFT_MASK               0xffff0000
#define RIGHT_MASK              0x0000ffff

#define FITS_MSG_MASK           0x00001000
#define EXEC                    0x00010000
#define INIT_CONSTANTS          0x00020000
#define INIT                    0x00030000
#define FIF_UPDATE              0x00040000
#define READ_MASK               0x00050000
#define READ_FLIST              0x00060000
#define PSEUDOCOMP              0x00070000
#define FIFS_READ               0x00080000
#define VEC_MULT                0x00090000
#define INNER_PROD              0x000a0000
#define LL_COMP                 0x000b0000
#define MAX_LLIKELYHOOD         0x000c0000
#define MAXLL_FINDMAX           0x000d0000
#define SSORTP                  0x000e0000
#define CHARGE_ADDITION         0x000f0000
#define ENDPOINTS               0x00100000
#define COMPUTE_RESULTS         0x00110000
#define ENDPOINT_NEAR           0x00120000
#define GEOM_TRANS              0x00130000
#define READ_DATA               0x00140000
#define WRITE_DATA              0x00150000
#define INIT_ALLOCATE           0x00160000
#define MAT_INVERT              0x00170000
#define KEYWORDS                0x00180000
#define BAD_KEYWORD1            0x00190000
#define BAD_KEYWORD2            0x001a0000
#define FILEN_KEYWORDS          0x001b0000
#define NAMELIST                0x001c0000
#define OUTPUT_FLUXES           0x001d0000
#define OUTPUT_MAGS             0x001e0000
#define OUTPUT                  0x001f0000
#define PARSE_ARGS              0x00200000

#define NOT_A_NUMBER            0x00000003
#define UNMATCHED_LIST          0x00000004
#define PROJECTION_FAILS        0x00000005
#define MISSING_KEYWORD         0x00000006
#define BAD_KEYWORD_WRITE       0x00000007
#define TWO_PLANE_ERROR         0x00000008
#define WCS_IMG                 0x00000009
#define WCS_REF                 0x00000010
#define FOPEN_FAILED            0x00000011
#define COULDNOTREAD            0x00000012
#define NO_ARGS                 0x00000013
#define REQ_ARGS_INCOMP         0x00000014
#define BAD_FITS_HDR            0x00000015
#define BAD_KEYWORD_READ        0x00000016
#define INCRT_ARRAY             0x00000017
#define CL_ARGS_INCRT           0x00000018
#define INCRT_PARAMS            0x00000019
#define WRONG_PIX_INP           0x0000001a
#define BIT_ERROR               0x0000001b
#define UNMATCHD_IMAGE_DIMS     0x0000001c
#define ERROR_EXIT              0x0000001d
#define MISSING_COLUMN          0x0000001e

#define MALLOC_FAILED           0x00000071
