/* $Id: cropfits.h,v 1.6 2007/11/12 18:12:16 laher Exp $ */


/******************************************************
 *  cropfits.h
 ******************************************************

 ******************************************************/

/* program information */
#define	CPFVERSN	  1.3

#define PROGRAM          "CROPFITS"
#define PROGRAMABB       "CPF"


/* allow booleans */
#define TRUE 1
#define FALSE 0

#define	MAX_FILENAME_LENGTH	161
#define MAX_STRING_LENGTH       256
#define	FCNNAME_LENGTH	        256
#define	MESSAGE_LENGTH	        256

/* for masking 32 bit data types */
#define	LEFT_MASK		0xffff0000
#define	RIGHT_MASK		0x0000ffff

/* 32 bit float point mask                             */
/* bits 1-8 (most to least significant) all set on NaN */
/* bits 9-31 must be nonzero                           */
#define FNANMASK   0x7F80 

/* 64 bit float point mask                             */
/* bits 1-11 all set on NaN                            */
/* bits 12-63 must be nonzero                          */
#define DNANMASK   0x7FF0 

/* testing...not really necessary. could also use a    */
/* math library call "isnan()" or ieeefp library call  */
/* "isnand()" or "isnanf()"                            */
#define fnan(L) ((L & FNANMASK)==FNANMASK ? 1 : (L & FNANMASK) == 0 ? 2 : 0)
#define dnan(L) ((L & DNANMASK)==DNANMASK ? 1 : (L & DNANMASK) == 0 ? 2 : 0)






