/* $Id: cubesub_init_constants.c,v 1.8 2002/09/04 19:56:46 fan Exp $ */


/*********************************************** 
cubesub_init_constants.c

Purpose

Set constant values as defined in the header file cubesub.h.

Overview


Definitions of Variables

See "main" function cubesub_exec.


***********************************************/

#include <stdio.h>
#include "cubesub.h"
#include "cubesub_defs.h"

cubesub_init_constants(	
            Filenames	*Fnames,
	    Constants   *Const,
            Status  	*Stat)
{

/* Initialize all status flags */
Stat->I_status = 0;
Stat->I_Verbose = 0;

sprintf(Fnames->CP_Filename_Pmask, "%s", "");
sprintf(Fnames->CP_Filename_Dmask, "%s", "");
sprintf(Fnames->CP_Filename_Bmask, "%s", "");
sprintf(Fnames->CP_Filename_Cmask, "%s", "");
sprintf(Fnames->CP_Filename_FITS_In, "%s", "");
sprintf(Fnames->CP_Filename_Vars_In, "%s", "");
sprintf(Fnames->CP_Filename_FITS_Out, "%s", "");
sprintf(Fnames->CP_Filename_Vars_Out, "%s", "");
sprintf(Fnames->CP_Filename_Namelist, "%s", "");
sprintf(Fnames->CP_Filename_Dark, "%s", "");
sprintf(Fnames->CP_Filename_Dark_Vars, "%s", "");
sprintf(Const->Bunit, "%s", "");

Const->PmaskFatal = 32767;
Const->DmaskFatal = 32767;
Const->CmaskFatal = 32767;
Const->BmaskFatal = 32767;
Const->Operation = 1;
Const->Gain = 1.0;
Const->T_Int = 0.0;
Const->In_Vars = 0;
Const->QAheader = 0;
Const->Cuavgrsf = 0.0;
Const->Cuavgrsl = 0.0;

}
