      Subroutine SetBl2(RCube,NCols,NRows,Row,LC,NMiss,RowSpec,
     +                  R4Blank,RIBlank,Offset,DMask)
c=======================================================================
c
      Real*4    RCube(NCols,NRows),R4Blank,RIBlank,Offset
      Integer*2 DMask(NCols,NRows)
      Integer*4 NCols,NRows,LC,NMiss,I,J
      Logical   Row,RowSpec
c
c=======================================================================
c
      If (Row) then
c
        Do 120 J = LC, LC+NMiss-1
          If ((J .lt. 1) .or. (J .gt. NRows)) then
            print *,'ERROR: Illegal row no. in missing-data spec: ',
     +               J,'; NRows = ', NRows
            print *,'MSLC####, NMSD####:',LC,', ',NMiss
            call exit(64)
          End If
          Do 110 I = 1, NCols
            If ((Abs(RCube(I,J)-Offset-RIBlank) .gt. 0.5) .and.
     +           .not.RowSpec) then
              print *,'ERROR: blank pixel should be ',
     +                 RIBlank,' but is not!'
              print *,'Pixel (I,J): ',I,', ',J,'; value = ',RCube(I,J)
              print *,'MSLC####, NMSD####:',LC,', ',NMiss
              call exit(64)
            End If
            RCube(I,J) = R4Blank
c           DMask(I,J) = 16384         !  Set bit 14
            Call SetBit(DMask(I,J),14)
110       Continue
120     Continue
c
      Else
c
        Do 220 I = LC, LC+NMiss-1
          If ((I .lt. 1) .or. (I .gt. NCols)) then
            print *,'ERROR: Illegal column no. in missing-data spec: ',
     +               I,'; NCols = ', NCols
            print *,'MSLC####, NMSD####:',LC,', ',NMiss
            call exit(64)
          End If
          Do 210 J = 1, NRows
            If ((Abs(RCube(I,J)-Offset-RIBlank) .gt. 0.5) .and.
     +           .not.RowSpec) then
              print *,'ERROR: blank pixel should be ',
     +                 RIBlank,' but is not!'
              print *,'Pixel (I,J): ',I,', ',J,'; value = ',RCube(I,J)
              print *,'MSLC####, NMSD####:',LC,', ',NMiss
              call exit(64)
            End If
            RCube(I,J) = R4Blank
c           DMask(I,J) = 16384         !  Set bit 14
            Call SetBit(DMask(I,J),14)
210       Continue
220     Continue
c
      End If
c
      Return
c
      End
