/* $Id: darkbase_usage.c,v 1.7 2002/09/05 00:15:17 fan Exp $ */


/*********************************************** 
darkbase_usage.c

Purpose
explain the command-line usage of darkbase

Overview

***********************************************/

#include <stdio.h>
#include "darkbase.h"
#include "darkbase_errcodes.h"
#include "darkbase_defs.h"


darkbase_usage() {

      printf("Usage:\n\n");
      printf("Required arguments:\n");
      printf("-i1	input filename\n");
      printf("-o1	output filename\n");
      printf("-u	mask file to define unilluminated area\n\n");
      printf("Optional arguments\n");
      printf("-n	namelist filename\n"); 
      printf("-i2	input uncertainty filename\n");
      printf("-o2	output uncertainty filename\n");
      printf("-t1	trim fraction; default at 1.0\n");
      printf("-t2	trim fraction for standard deviation; default 1.0\n"); 
      printf("-d	dmask filename 'DCE pixel status'\n");
      printf("-p	pmask filename 'hardware status'\n");
      printf("-b	bmask filename 'BCD image status'\n");
      printf("-c	cmask filename 'calibration image status'\n");
      printf("-fp	pmask fatal bit template\n");
      printf("-fd	dmask fatal bit template\n");
      printf("-fb	bmask fatal bit template\n");
      printf("-fc	cmask fatal bit template\n");
      printf("-v	verbose mode\n\n");

}
