/* $Id: darkest.h,v 1.10 2005/01/24 16:44:47 fan Exp $ */


/***********************************************
darkest.h

Purpose

Define some constant values.

***********************************************/
#define	VERSN			2.2

#define	MAX_FILENAME_LENGTH	161
#define MAX_INPUT_IMAGES        500
#define MIN_INPUT_IMAGES          3
#define MAX_PLANE               100
#define MAX_FATAL_BITS          50
#define	I_FCNNAME_LENGTH	256
#define	I_MESSAGE_LENGTH	256
#define STRING_BUFFER_SIZE      256

#define FITS_VAL_LEN            71
#define FITS_HIS_LEN            32

#define	INV_SQRT_2PI		0.398942280401

#define FNANMASK   0x7F80 /* mask bits 1 - 8; all set on NaNs */
#define DNANMASK   0x7FF0 /* mask bits 1 - 11; all set on NaNs */
#define fnan(L) ((L & FNANMASK)==FNANMASK ? 1 : (L & FNANMASK) == 0 ? 2 : 0)
#define dnan(L) ((L & DNANMASK)==DNANMASK ? 1 : (L & DNANMASK) == 0 ? 2 : 0)
