/* $Id: dntoflux.h,v 1.15 2004/08/27 18:29:37 laher Exp $ */


/***********************************************
dntoflux.h

Purpose

Define constant values.

Overview

***********************************************/

#define	DNTVERSN			4.1
#define PROGRAM                       "dntoflux"
#define PROGRAMABB                       "DNT"
#define PROGRAMPURPOSE                "UNITS-CONVERSION S/W"

#define	MAX_FILENAME_LENGTH	161
#define	I_FCNNAME_LENGTH	256
#define	I_MESSAGE_LENGTH	256
#define	STRING_BUFFER_SIZE	256

#define	INV_SQRT_2PI		0.398942280401

#define	LEFT_MASK		0xffff0000
#define	RIGHT_MASK		0x0000ffff

#define FNANMASK   0x7F80 /* mask bits 1 - 8; all set on NaNs */
#define DNANMASK   0x7FF0 /* mask bits 1 - 11; all set on NaNs */

#define fnan(L) ((L & FNANMASK)==FNANMASK ? 1 : (L & FNANMASK) == 0 ? 2 : 0)
#define dnan(L) ((L & DNANMASK)==DNANMASK ? 1 : (L & DNANMASK) == 0 ? 2 : 0)






