/* $Id: dntoflux_defs.h,v 1.4 2003/04/21 19:51:39 laher Exp $ */


/***********************************************
dntoflux_defs.h

Purpose

Define structures.

***********************************************/

#include "fitsio.h"

typedef struct {

double	D_ConversionFactor;
double	D_ConversionFactor1;
double	D_ConversionFactor2;
double	D_ConversionFactor3;
double	D_ConversionFactor4;
double	D_ConversionFactorUnc;
double	D_ConversionFactorUnc1;
double	D_ConversionFactorUnc2;
double	D_ConversionFactorUnc3;
double	D_ConversionFactorUnc4;
int     I_Operation;
int     I_NormalizeByExpTimeFlag;
int	I_PMaskThreshold;
int	I_DMaskThreshold;
char    Bunit_String[FLEN_VALUE];

} DNT_Constants;


typedef struct {

char	CP_Filename_Namelist[MAX_FILENAME_LENGTH];
char	CP_Filename_FITS_Image1[MAX_FILENAME_LENGTH];
char	CP_Filename_FITS_Image2[MAX_FILENAME_LENGTH];
char	CP_Filename_FITS_Image3[MAX_FILENAME_LENGTH];
char	CP_Filename_FITS_Image4[MAX_FILENAME_LENGTH];
char	CP_Filename_FITS_Out[MAX_FILENAME_LENGTH];
char	CP_Filename_FITS_Out2[MAX_FILENAME_LENGTH];
char	CP_Filename_FITS_Out4[MAX_FILENAME_LENGTH];
char	CP_Filename_Log[MAX_FILENAME_LENGTH];

} DNT_Filenames;


typedef struct {

char	CP_Ancillary_File_Path[MAX_FILENAME_LENGTH];

} DNT_Pathnames;


typedef struct {

int	I_status;
int	I_NaNFlag;
int	I_NaNCount;
int	I_Debug;
int	I_Verbose;
int	I_SuperVerbose;

} DNT_Status;

typedef struct {

int	I_Length_X;
int	I_Length_Y;
int	I_Num_Frames;
int     I_Data_Plane;
double  ExpTime;

} DNT_FITSinfo;


typedef struct {

/* Stored Results */
double*	DP_Output_Array;
double*	DP_Output_Array2;
double*	DP_Output_Array4;
unsigned long* NumberBadPixels;

} DNT_Computation;



