/* $Id: droopop_defs.h,v 1.11 2005/12/07 00:10:57 fan Exp $ */


/***********************************************
droopop_defs.h

Purpose

Define structures.

Definitions of Variables

Filenames
      contains the various filenames.  Filenames are fairly
      self explanitory.

Status
      contains the flag to run in the verbose mode and
      the status flag used to store error messages


Dims
      contains the X and Y dimensions of the images

***********************************************/

typedef struct {

char	CP_Filename_Namelist[MAX_FILENAME_LENGTH];
char	CP_Filename_FITS_In[MAX_FILENAME_LENGTH];
char    CP_Filename_Vars_In[MAX_FILENAME_LENGTH];
char    CP_Filename_Refs_In[MAX_FILENAME_LENGTH];
char    CP_Filename_Vars_Refs_In[MAX_FILENAME_LENGTH];
char    CP_Filename_FITS_Out[MAX_FILENAME_LENGTH];
char    CP_Filename_Vars_Out[MAX_FILENAME_LENGTH];
char	CP_Filename_Pmask[MAX_FILENAME_LENGTH];
char	CP_Filename_Dmask[MAX_FILENAME_LENGTH];
char	CP_Filename_Bmask[MAX_FILENAME_LENGTH];
char    CP_Filename_Cmask[MAX_FILENAME_LENGTH];

} Filenames;


typedef struct {

int	I_status;
int	I_Verbose;

} Status;


typedef struct {

int	I_NX;
int	I_NY;
int	I_NZ;

} Dims;


typedef struct {

/*
short  PmaskFatal;
short  DmaskFatal;
short  CmaskFatal;
*/
int    PmaskFatal;
int    DmaskFatal;
int    CmaskFatal;
int    BmaskFatal;
int    In_Vars;
int    Resat;
int    SatBit;
int    QAheader;
float   SatVal;
float   Droop;
float   Droop_Error;
float   Drsumplf;
float   Drsumpll;
int OnePlaneDroop;

} Constants;
