&PROFILE

   # ========== Parameters for the PROFILE module ==========
   # File updated 03/18/03 JB
   # Changed fatal bmask value 08/23/05 SFA
   # S17 2007/09/10 Added bit 8 (256) to fatal bits (Bob)

    P_i    = coadd2d.fits,               INPUT_FITS_FILE
    P_w    = cal/b0_wavsamp.tbl,         WAVSAMP_TBL_FILE
    P_c    = 1000,                       NUMBER_CUTS
    P_o    = profile.tbl,                OUTPUT_TBL_FILE
    P_q    = qa/profile.qa,              OUTPUT_QA_FILE
    P_t    = cal/b0_psf_fov.tbl,         FOVTABLE_FILE
    P_b    = bmask.fits,                 BMASKFILE
    P_fb   = 29056,                      BMASKFILE_FATAL
#   P_ord  = 1,                          ORDERS
#   P_l11  = 7.50,                       LAMBDA11
#   P_l21  = 9.25,                       LAMBDA21
#   P_l12  = 9.25,                       LAMBDA12
#   P_l22  = 11.25,                      LAMBDA22
#   P_l13  = 11.25,                      LAMBDA13
#   P_l23  = 13.25,                      LAMBDA23
#   P_l14  = 13.25,                      LAMBDA14
#   P_l24  = 14.20,                      LAMBDA24
#   P_v    = 1,                          VERBOSE

&END
