 &CALTRANS_IRSIN
  Comment = '  ',
  Comment = '080124 S17.0 corrected channel for lincal_satcor (Sergio)',
  Comment = '060931 S15.0 added lincal_satcor.fits (Bob)',
  Comment = '060227 deleted nmask.fits (Bob)',
  Comment = '050408 added cal_set.txt file (Bob)',
  Comment = 'Generic CALTRANS Namelist Section for IRS',
  Comment = '050307 Updated CALTRANSptgIN for Frank (Bob) ',
  Comment = 'Checked, P. Morris 03/15/03',
  Comment = 'Note, all cal rules are fallback',
  Input_DCE_Image = 'tranhead.fits',
  CalMode = 2,   
  CalInstrument = 'IRSX',
  CalChannel =  1, 
  CalID = 14,
  CalReadoutMode = 'RAW',
  CalCachePath = '/ssc/testdata/irs/S8.0D/calcache',
  CalRule = '0;0;0;0;0;0;0;0;0;0;0;0;0;0;0', 
  CalType = 'dark;flatfield;linecorrect;linmod;ordermask;pmask;wavesamp;umask;wavsampoffset;wavsampomask;wavsampwave;fluxcon;fovmask;calset;linsat',
  CalOutFname = 'dark.fits;flatfield.fits;linecorr.tbl;lincal.fits;omask.fits;pmask.fits;wavsamp.tbl;umask.fits;wavsamp_offset.fits;wavsamp_omask.fits;wavsamp_wave.fits;fluxcon.tbl;fovmask.fits;cal_set.txt;lincal_satcor.fits', 
  CalEpidKword = 'EPIDDARK;EPIDFLAT;EPIDLNCR;EPIDLNMD;EPIDOMSK;EPIDPMSK;EPIDWSMP;EPIDUMSK;EPIDWSOF;EPIDWSOM;EPIDWSWA;EPIDFLXC;EPIDFMSK;EPIDCALS;EPIDLNSC',
  CalFbidKword = 'FBIDDARK;FBIDFLAT;FBIDLNCR;FBIDLNMD;FBIDOMSK;FBIDPMSK;FBIDWSMP;FBIDUMSK;FBIDWSOF;FBIDWSOM;FBIDWSWA;FBIDFLXC;FBIDFMSK;FBIDCALS;FBIDLNSC', 
  CalDestPath = './cal',  
  CalKeywordList1 = 'chnlnum;readoutmode',
  CalValueList1 = '1;RAW',
  CalAttribList1 = 'n;s',
  CalUncertList1 = '0;0',
  CalTolerList1 = '0;0',
  CalKeywordList2 = 'chnlnum;readoutmode',
  CalValueList2 = '1;RAW',
  CalAttribList2 = 'n;s',
  CalUncertList2 = '0;0',
  CalTolerList2 = '0;0',
  CalKeywordList3 = 'chnlnum;readoutmode',
  CalValueList3 = '1;RAW',
  CalAttribList3 = 'n;s',
  CalUncertList3 = '0;0',
  CalTolerList3 = '0;0',
  CalKeywordList4 = 'chnlnum;readoutmode',
  CalValueList4 = '1;RAW',
  CalAttribList4 = 'n;s',
  CalUncertList4 = '0;0',
  CalTolerList4 = '0;0',
  CalKeywordList5 = 'chnlnum;readoutmode',
  CalValueList5 = '1;RAW',
  CalAttribList5 = 'n;s',
  CalUncertList5 = '0;0',
  CalTolerList5 = '0;0',
  CalKeywordList6 = 'chnlnum;readoutmode',
  CalValueList6 = '1;RAW',
  CalAttribList6 = 'n;s',
  CalUncertList6 = '0;0',
  CalTolerList6 = '0;0',
  CalKeywordList7 = 'chnlnum;readoutmode',
  CalValueList7 = '1;RAW',
  CalAttribList7 = 'n;s',
  CalUncertList7 = '0;0',
  CalTolerList7 = '0;0',
  CalKeywordList8 = 'chnlnum;readoutmode',
  CalValueList8 = '1;RAW',
  CalAttribList8 = 'n;s',
  CalUncertList8 = '0;0',
  CalTolerList8 = '0;0',
  CalKeywordList9 = 'chnlnum;readoutmode',
  CalValueList9 = '1;RAW',
  CalAttribList9 = 'n;s',
  CalUncertList9 = '0;0',
  CalTolerList9 = '0;0',
  CalKeywordList10 = 'chnlnum;readoutmode',
  CalValueList10 = '1;RAW',
  CalAttribList10 = 'n;s',
  CalUncertList10 = '0;0',
  CalTolerList10 = '0;0',
  CalKeywordList11 = 'chnlnum;readoutmode',
  CalValueList11 = '1;RAW',
  CalAttribList11 = 'n;s',
  CalUncertList11 = '0;0',
  CalTolerList11 = '0;0',
  CalKeywordList12 = 'chnlnum;readoutmode',
  CalValueList12 = '1;RAW',
  CalAttribList12 = 'n;s',
  CalUncertList12 = '0;0',
  CalTolerList12 = '0;0',
  CalKeywordList13 = 'chnlnum;readoutmode',
  CalValueList13 = '1;RAW',
  CalAttribList13 = 'n;s',
  CalUncertList13 = '0;0',
  CalTolerList13 = '0;0',
  CalKeywordList14 = 'readoutmode',
  CalValueList14 = 'RAW',
  CalAttribList14 = 's',
  CalUncertList14 = '0',
  CalTolerList14 = '0',
  CalKeywordList15 = 'chnlnum;readoutmode',
  CalValueList15 = '1;RAW',
  CalAttribList15 = 'n;s',
  CalUncertList15 = '0;0',
  CalTolerList15 = '0;0',
  Log_Filename = './caltrans.log',
 &end

 &CALTRANSptgIN
  Comment = 'Rule numbers for slit_pa_offsets.tbl;instrument_FOV.tbl',
  CalRule = '0;0',
 &end

 &CALTRANSirsbqdIN
  Comment = 'Generic namelist file for CALTRANS service.',
  CalRule = '0;0',
 &END
 
 &CALTRANSirsSpectraIN
  Comment = 'Generic namelist file for CALTRANS service.',
  CalRule = '0;0',
 &END
