 &DARKBASEIN
  comment = 'Parameters for DARKBASE module',
  comment = 'Caltrans copies the umask for the appropriate module',
  comment = 'and renames it to umask.fits for local processing.',
  comment = 'The wrapper script will override this in any case.',
  comment = 'Verified 03/13/03 - CG Updated 11/12/03 by SFA',
  FITS_Image_In = 'fitsop.fits',
  FITS_Image_Out = 'darkbase.fits',
  Trim_Frac = 0.8,
  Trim_STD_Frac = 0.8,
  FITS_Pmask = 'cal/pmask.fits',
  FITS_Dmask = 'dmask.fits',
  FITS_Bmask = '',
  FITS_Cmask = '',
  FITS_Umask = 'cal/umask.fits',
  PMASK_FATAL = 18304,
  DMASK_FATAL = 16392,
 &end
