comment = 'IRS Files to copy to Sandbox',
comment = 'SCIENCE added cutouts for SL (dntoflux) b_ and r_   2008 Dec 10  - B.Narron ',
comment = 'PKU_END_IN: fixed spelling b_cropfits 2005 May 10 - Bob',
comment = 'PKU_END_IN: remove flatap.fits (now pki_full) 2005 May 10 - Bob',
comment = 'Added back cal,cdf,qa directories    2004 Jul 7  - B.Narron ',
comment = 'Added PU Imaging Pipeline            2004 Sep 15 - B.Narron ',
comment = 'Added pki_full.fits to PKU_END_IN    2004 Nov 19 - B.Narron ',
comment = 'Changed from imagest to slope_finder 2007 Sep 10 - Bob ',

&SCIENCE_END_IN
filestocopytosandbox = cal, cdf, qa, bmask.fits, cubesub.fits, cubesub_unc.fits, cvte.fits, cvte_unc.fits, cvti2r4.fits, darkbase.fits, darkbase_unc.fits, darkdrift.fits, darkdrift.tbl, darkdrift_unc.fits, dmask.fits, droopop.fits, droopop_unc.fits, droopres.fits, droopres_unc.fits, flatap.fits, flatap_unc.fits, flatap2.fits, flatap2_unc.fits, slope_finder.fits, slope_finder_unc.fits, lineariz.fits, lineariz_unc.fits, qaloader.sql, qamask.fits, radhit_mag.fits, radhit_mag_sat.fits, radhit_prob.fits, radhit_prob_sat.fits, radhit_samp.fits, radhit_samp_sat.fits, radhit_slope.fits, radhit_slope_sat.fits, removstraycross.fits, removstraycross_unc.fits, rowdroop.fits, rowdroop_unc.fits, satcor.fits, satcor_unc.fits, snestimator.fits, tranhead.fits, unremovstraycross.fits, unremovstraycross_unc.fits, b_bmask.fits, r_bmask.fits, b_dntoflux.fits, b_dntoflux_unc.fits, r_dntoflux.fits, r_dntoflux_unc.fits,
&END

&PIPE0_END_IN
filestocopytosandbox = cal, cdf, qa, cvti2r4.fits, dmask.fits, tranhead.fits,
&END

&DARKCAL_PREPROC_END_IN
filestocopytosandbox = cal, cdf, qa, caltrans.log, cvte.fits, cvte_unc.fits, cvti2r4.fits, darkbase.fits, darkbase_unc.fits, dmask.fits, droopop.fits, droopop_unc.fits, qaloader.sql, radhit_mag_sat.fits, radhit_prob_sat.fits, radhit_samp_sat.fits, radhit_slope_sat.fits, rowdroop.fits, rowdroop_unc.fits, satcor.fits, satcor_unc.fits, snestimator.fits, tranhead.fits, 
&END

&DARKCAL_POSTPROC_END_IN
filestocopytosandbox = cal, cdf, qa, dark.fits, dark_cmask.fits, dark_unc.fits, inputlist_darkcal, inputlist_dmask_darkcal, inputlist_unc_darkcal, sosexec/out.pline, 
ancillaryfilestoarchive = dark_cmask.fits, dark_unc.fits, sosexec/out.pline,
&END

&FLATCAL_PREPROC_END_IN
filestocopytosandbox = cal, cdf, qa, bmask.fits, caltrans.log, cubesub.fits, cubesub_unc.fits, cvte.fits, cvte_unc.fits, cvti2r4.fits, darkbase.fits, darkbase_unc.fits, darkdrift.fits, darkdrift.tbl, darkdrift_unc.fits, dmask.fits, droopop.fits, droopop_unc.fits, droopres.fits, droopres_unc.fits, slope_finder.fits, slope_finder_unc.fits, lineariz.fits, lineariz_unc.fits, qaloader.sql, qamask.fits, radhit_mag.fits, radhit_mag_sat.fits, radhit_prob.fits, radhit_prob_sat.fits, radhit_samp.fits, radhit_samp_sat.fits, radhit_slope.fits, radhit_slope_sat.fits,  removstraycross.fits, removstraycross_unc.fits, rowdroop.fits, rowdroop_unc.fits, satcor.fits, satcor_unc.fits, snestimator.fits, tranhead.fits, unremovstraycross.fits, unremovstraycross_unc.fits,
&END

&LINCAL_PREPROC_END_IN
filestocopytosandbox = cal, cdf, qa, caltrans.log, cubesub.fits, cubesub_unc.fits, cvte.fits, cvte_unc.fits, cvti2r4.fits, darkbase.fits, darkbase_unc.fits, dmask.fits, droopop.fits, droopop_unc.fits, qaloader.sql, radhit_mag.fits, radhit_prob.fits, radhit_samp.fits, radhit_slope.fits, rowdroop.fits, rowdroop_unc.fits, snestimator.fits, tranhead.fits,
&END

&LINCAL_POSTPROC_END_IN
filestocopytosandbox = cal, cdf, qa, inputlist_dmask_lincal, inputlist_lincal, inputlist_unc_lincal, lincal.fits, lincal_cmask.fits, sosexec/out.pline, 
ancillaryfilestoarchive = lincal_cmask.fits, sosexec/out.pline,
&END

&PHOT_PREPROC_END_IN
filestocopytosandbox = cal, cdf, qa, bmask.fits, cubesub.fits, cubesub_unc.fits, cvte.fits, cvte_unc.fits, cvti2r4.fits, darkbase.fits, darkbase_unc.fits, darkdrift.fits, darkdrift.tbl, darkdrift_unc.fits, dmask.fits, droopop.fits, droopop_unc.fits, droopres.fits, droopres_unc.fits, slope_finder.fits, slope_finder_unc.fits, lineariz.fits, lineariz_unc.fits, qaloader.sql, qamask.fits, radhit_mag.fits, radhit_mag_sat.fits, radhit_prob.fits, radhit_prob_sat.fits, radhit_samp.fits, radhit_samp_sat.fits, radhit_slope.fits, radhit_slope_sat.fits, rowdroop.fits, rowdroop_unc.fits, satcor.fits, satcor_unc.fits, snestimator.fits, tranhead.fits, 
&END
 
&COADD_END_IN
filestocopytosandbox = cal, cdf, qa, 2dcoadd_wt.txt, coadd2d.fits, coadd2d_amask.fits, coadd2d_unc.fits, inputlist_bmask_coadd, inputlist_coadd, inputlist_unc_coadd, qamask.fits, sosexec/out.pline, 
ancillaryfilestoarchive = 2dcoadd_wt.txt, coadd2d_amask.fits, coadd2d_unc.fits, inputlist_bmask_coadd, inputlist_coadd, sosexec/out.pline, 
&END

&PKU_END_IN
filestocopytosandbox = cal, cdf, qa, bmask.fits, cubesub.fits, cubesub_unc.fits, cvte.fits, cvte_unc.fits, cvti2r4.fits, darkbase.fits, darkbase_unc.fits, darkdrift.fits, darkdrift.tbl, darkdrift_unc.fits, dmask.fits, droopop.fits, droopop_unc.fits, droopres.fits, droopres_unc.fits, flatap.fits, flatap_unc.fits, slope_finder.fits, slope_finder_unc.fits, lineariz.fits, lineariz_unc.fits, qaloader.sql, qamask.fits, radhit_mag.fits, radhit_mag_sat.fits, radhit_prob.fits, radhit_prob_sat.fits, radhit_samp.fits, radhit_samp_sat.fits, radhit_slope.fits, radhit_slope_sat.fits, rowdroop.fits, rowdroop_unc.fits, satcor.fits, satcor_unc.fits, snestimator.fits, tranhead.fits, b_cropfits.fits, r_cropfits.fits, b_cropfits_unc.fits, r_cropfits_unc.fits, b_bmask.fits, r_bmask.fits, b_dntoflux.fits, b_dntoflux_unc.fits, r_dntoflux.fits, r_dntoflux_unc.fits,
&END
