&SLOPE_FINDER

   # ========== Parameters for the SLOP_FINDER module ==========
   # File created 070220  Bob
   # Updated 071005 by turning off PU sat cube truncation SFA
   # Updated 100510 Bob - set max outliers (S_rej_iter) to 2

   S_pf   = 32640,                        PMASK BITS - FATAL
   S_dfX  =   512,                        DMASK BITS - RADHIT
   S_df1  = 30728,                        DMASK BITS - BAD PIXEL
   S_df0  =   512,                        DMASK BITS - BREAK
   S_m    = 3:2+9:3+12:4+6:6+13:10+14:11, BITS TO PASS  DMASK -> BMASK

   S_rej_nsig = 2.0,                      N-SIGMA FOR OUTLIER REJECTION
   S_rej_min  = 2,                        MIN SLOPES FOR DOING OUTLIER REJECT
   S_rej_iter = 2,                        MAX NUM OF OUTLIER REJ ITERATIONS

   S_skip_n = 1,                          Number of initial samples to skip
   S_skip_minramp = 9,                    Minimum ramp size to do initial sample skipping (means 16 samples)

   S_radhit_maxdel = 16,                  MAX samples to delete after RADHIT
   S_radhit_thresh = 500,                 Only delete samps after radhit if slope is less than this

   S_gain     = 4.6,                      GAIN DN to ELEC/SEC (to get out_unc)

   S_sat_pct  = 105,                       Peakup saturation limit (chan 0 only)
   S_v  = 2,                              VERBOSITY 3=outlier, 4=radhit before/after, 5=radhit samples

   S_o_info_radhit = imagest_radhit_debug.fits,
   S_o_info_outlier = imagest_nused_debug.fits,

   S_i      = dummy_i.fits,               DUMMY (REQUIRED IN NAMELIST)
   S_iu     = dummy_iu.fits,              DUMMY (REQUIRED IN NAMELIST)
   S_o_flux = dummy_o.fits,               DUMMY (REQUIRED IN NAMELIST)

&END
