/* $Id: cropfits_errcodes.h,v 1.3 2007/11/12 18:12:16 laher Exp $ */


/***********************************************
 *  cropfits_errcodes.h
 ***********************************************



 ***********************************************/

/* Must list function codes first.  LOG_WRITER is special. */

#define	LOG_WRITER	        0x0000ffff
#define	EXEC			0x00010000
#define	INIT			0x00030000
#define	READ_DATA		0x00140000
#define	OUTPUT_PROBS		0x00150000
#define READ_IMAGE              0x00160000
#define READ_MASK               0x00170000
#define	KEYWORDS		0x00180000
#define	STD_KEYWORDS		0x00190000
#define	CONST_KEYWORDS		0x001a0000
#define	FILEN_KEYWORDS		0x001b0000
#define	NAMELIST		0x001c0000
#define	DATE 		        0x00240000
#define PARSE_ARGS              0x00250000
#define DECODE_ERR_MSSG         0x00260000
#define COMPUTE                 0x00270000

/* 
    List error codes here.  All must be equal to zero after 
    right-shifting 16 bits.
*/

#define STATUS_OK               0x00000000   /* Normal termination. */
#define	NOT_A_NUMBER		0x00000003   /* Normal with special info. */
#define	MEM_INSUFF		0x00000021   /* Normal with warning. */
#define	MAT_SINGULAR		0x00000022   
#define TOO_MANY_BAD_PIX        0x00000023   
#define MISSING_INPUT           0x00000040   /* Error condition. */
#define	POS_EXPECTED		0x00000041   
#define	DIVIDE_ZERO		0x00000042
#define	NNEG_EXPECTED		0x00000043
#define	LOG_NEG			0x00000044
#define	ROOT_NEG		0x00000045
#define	FOPEN_FAILED		0x00000046
#define	COULD_NOT_READ		0x00000047
#define	DIM_MISMATCH		0x00000048
#define	OUT_OF_RANGE		0x00000049
#define IMAGE_HAS_WCS           0x0000004a
#define	NO_ARGS			0x0000004b
#define	NOT_ODD			0x0000004c
#define UNKNOWN_ERROR           0x0000004d
#define INPUTS_OUT_OF_RANGE     0x0000004e
#define	MALLOC_FAILED		0x0000004f
#define SIZE_MISMATCH           0x00000050
#define BAD_PIX_ABORT           0x00000057

#define	FITS_MSG_MASK		0x00001000   /* Special FITS error codes. */


