/* $Id: darksubng_errors.h,v 1.1 2002/09/20 18:07:49 heidi Exp $ */

/* dndarksub_errors.h
 * 26 July 2002
 * h. brandenburg (heidi@ipac.caltech.edu)
 *
 * This file contains exit code definitions for the program dndarksub
 * (dark frame subtraction)
 */

#define STATUS_OK            0x00000000   /* Normal termination. */

#define UNKNOWN_BUNIT        0x00000040   /* Error conditions */
#define DIM_MISMATCH         0x00000041   
#define DIRECTORY_TREE       0x00000042
#define DCE_COPY             0x00000043
#define MISSING_ARGUMENT     0x00000044
#define MALFORMED_ARGUMENTS  0x00000045
#define DIR_DEFS             0x00000046
#define FOPEN                0x00000047
#define ENVVAR_NOT_SET       0x00000048
#define HELP_ONLY            0x0000004a
#define STDOUT_REDIRECT      0x0000004b
#define STDERR_REDIRECT      0x0000004c
#define UNKNOWN_ARGUMENT     0x0000004d
#define COULD_NOT_ALLOC      0x0000004f
#define NO_INPUT_FILE        0x00000050
#define NO_OUTPUT_FILE       0x00000051
#define NO_DARK_FILE         0x00000052
#define MASK_FATAL_OUT_OF_RANGE 0x00000053
#define COULD_NOT_PARSE_ARGS 0x00000054
#define BAD_INTEGRATION      0x00000055
#define INTEGRATION_MISMATCH 0x00000056
#define UNKNOWN_UNITS        0x00000057
#define UNIT_MISMATCH        0x00000058
#define BAD_GAIN             0x00000059
#define FITS_MASK            0x00001000   /* Special FITS error codes. */

