/* $Id: qamask.h,v 1.2 2003/02/18 19:28:48 fan Exp $ */

/***********************************************
qamask.h

Purpose

Define some constant values.

***********************************************/
#define	VERSN			1.0

#define	MAX_FILENAME_LENGTH	161
#define MAX_FATAL_BITS          50
#define	I_FCNNAME_LENGTH	256
#define	I_MESSAGE_LENGTH	256
#define STRING_BUFFER_SIZE      256

#define DIM_X                   128
#define DIM_Y                   128
#define TIME_LEN                30

#define	INV_SQRT_2PI		0.398942280401

#define FNANMASK   0x7F80 /* mask bits 1 - 8; all set on NaNs */
#define DNANMASK   0x7FF0 /* mask bits 1 - 11; all set on NaNs */
#define fnan(L) ((L & FNANMASK)==FNANMASK ? 1 : (L & FNANMASK) == 0 ? 2 : 0)
#define dnan(L) ((L & DNANMASK)==DNANMASK ? 1 : (L & DNANMASK) == 0 ? 2 : 0)
