#include <math.h>
/* #include <ieeefp.h> */

#define NORDERS 10
float alpha_fit, w0_fit;
int chnlnum;

void harmony(float x, float a[], float *y, float dyda[], int na)
{
   int i, ord;
   float ym[NORDERS], ym1[NORDERS], y1, b[23], w0;
   float z, zz, ydotz;
   float eps = 0.000345267;
   /* Please take a look at function lfunct to the detail computation of
      derivatives */

   *y = 0.;
   y1 = 0.;

   for (i=0; i<NORDERS; i++) {
      if (chnlnum == 1)
         w0 = w0_fit - ((float)i)/9.* 0.15 * w0_fit;    
      else if (chnlnum ==3)
         w0 = w0_fit-(NORDERS-1-i)/9.*0.15 * w0_fit; 
      ym[i]= a[2*i+1]/(1+pow(fabs(x-a[2*i+2])/w0, alpha_fit));
      
      b[2*i+1] = a[2*i+1] + eps*a[2*i+1];
      b[2*i+2] = a[2*i+2] + eps*a[2*i+2];
      ym1[i] = b[2*i+1]/(1+pow(fabs(x-b[2*i+2])/w0, alpha_fit));
      
      *y += ym[i];
      y1 += ym1[i];      
   }

   b[2*NORDERS+1] = a[2*NORDERS+1] + eps*a[2*NORDERS+1];
   b[2*NORDERS+2] = a[2*NORDERS+2] + eps*a[2*NORDERS+2];
   
   *y = *y + a[2*NORDERS+1]*x + a[2*NORDERS+2];
   y1 = y1 + b[2*NORDERS+1]*x + b[2*NORDERS+2];
     
   for (i=0; i<NORDERS; i++) { 
      if (chnlnum == 1)
         w0 = w0_fit-((float)i)/9.* 0.15 * w0_fit;
      else if (chnlnum == 3)
         w0 = w0_fit-(NORDERS-1-i)/9.*0.15 * w0_fit;

      if (x>a[2*i+2]) z = (x-a[2*i+2])/w0;
      else z = (a[2*i+2]-x)/w0; 
      zz = 1+pow(z,alpha_fit);
      if (x>a[2*i+2]) ydotz=-a[2*i+1]*alpha_fit*pow(z,(alpha_fit-1))/pow(zz,2);
      else  ydotz=a[2*i+1]*alpha_fit*pow(z,(alpha_fit-1))/pow(zz,2);

      dyda[2*i+1]=1./zz;
      /*dyda[2*i+1]=(y1-*y)/(eps*a[2*i+1]);*/
      if (iznand((double) dyda[2*i+1])) {
	 dyda[2*i+1] = 0.;
         /*printf("dyda[2*%d+1] = %-g\n", i,  dyda[2*i+1]);*/
      }

      dyda[2*i+2]=-ydotz/w0;
      /*dyda[2*i+2]=(y1-*y)/(eps*a[2*i+2]);*/
      if (iznand((double) dyda[2*i+2])) {
	 dyda[2*i+2] = 0.;
	 /*printf("dyda[2*%d+2] = %-g\n", i,  dyda[2*i+2]);*/
      }
   }
      
   dyda[2*NORDERS+1] = x;
   dyda[2*NORDERS+2] = 1;
   /*
   dyda[2*NORDERS+1] = (y1-*y)/(eps*a[2*NORDERS+1]);
   dyda[2*NORDERS+2] = (y1-*y)/(eps*a[2*NORDERS+2]);
   */
}
