#include <math.h>
/* #include <ieeefp.h> */

void lfunct(double x, double a[], double *y, double dyda[], int na)
{	  
   /* when compute dyda[4], note that d(a^x)/dx = ln(a) * a^x */

   int i;			
   double z, zz, ydotz, y1, b[6];
   double eps = 0.000345267;

   if (x>a[2]) z = (x-a[2])/a[3];
   else z = (a[2]-x)/a[3];
   zz = 1+pow(z,a[4]);
    
   /*ydotz=-a[1]*a[4]*pow(z,(a[4]-1))/pow(zz,2);*/
   if (x>a[2]) ydotz=-a[1]*a[4]*pow(z, (a[4]-1))*z/pow(zz,2);
   else ydotz=a[1]*a[4]*pow(z, (a[4]-1))*z/pow(zz,2);

   *y =  a[1]/zz;
   
   for (i=1; i<6;i++)
      b[i] = a[i] + eps*a[i];
   y1 =  b[1]/(1+pow(fabs(x-b[2])/b[3], b[4]));

   dyda[0]=0.;
   dyda[1]=1./zz;
   /*dyda[1]=(y1-*y)/(eps*fabs(a[1]));*/
   if (iznand((double) dyda[1])) {
      dyda[1]=0.;
   }

   dyda[2]=-ydotz/a[3];
   /*dyda[2]=(y1-*y)/(eps*fabs(a[2]));*/
   if (iznand((double) dyda[2])) {
      dyda[2]=0.;
   }
   
   dyda[3]=ydotz*(a[2]-x)/pow(a[3],2); 
   /*dyda[3]=(y1-*y)/(eps*fabs(a[3])); */
   if (iznand((double) dyda[3])) {
      dyda[3]=0.; 
   } 
  
   dyda[4]=-a[1]/pow(zz,2)*log(z)*pow(z,a[4]);
   /*dyda[4]=(y1-*y)/(eps*fabs(a[4])); */
   if (iznand((double) dyda[4])) {
      dyda[4]=0.;  
   }   
}
