      Subroutine SetBl3(RCube,NCols,NRows,NPlanes,Row,LC,NMiss,RowSpec,
     +                  R4Blank,RIBlank,Offset,DMask)
c=======================================================================
c
      Real*4    RCube(NCols,NRows,NPlanes),R4Blank,RIBlank,Offset(100)
      Integer*4 NCols,NRows,NPlanes,LC,NMiss,NP,I,J,II,JJ,NPO
      Integer*2 DMask(NCols,NRows,NPlanes)
      Logical   Row,RowSpec,IzNaN
c
c=======================================================================
c
      If (Row) then
c
        Do 120 JJ = LC, LC+NMiss-1
          J = mod(JJ-1,NRows) + 1
          NP = (JJ-1)/NRows + 1
          NPO = NP
          If (NPO .gt. 100) NPO = 100
          If ((NP .lt. 1) .or. (NP .gt. NPlanes)) then
            print *,'ERROR: Illegal plane no. in missing-data spec: ',
     +               NP,'; NPlanes = ', NPlanes
            print *,'MSLC####, NMSD####: ',LC,', ',NMiss
            call exit(64)
          End If
          Do 110 I = 1, NCols
            If (.not.IzNaN(RCube(I,J,NP))) then
              If ((Abs(RCube(I,J,NP)-Offset(NPO)-RIBlank) .gt. 0.5)
     +           .and. .not.RowSpec) then
                print *,'ERROR: blank pixel should be ',
     +                   RIBlank,' but is not!'
                print *,'Pixel (I,J,NP): ',I,', ',J,', ',NP,
     +                '; value = ',RCube(I,J,NP)
                print *,'MSLC####, NMSD####:',LC,', ',NMiss
                call exit(64)
              end if
            End If
            RCube(I,J,NP) = R4Blank
c           DMask(I,J,NP) = 16384         !  Set bit 14
            Call SetBit(DMask(I,J,NP),14)
110       Continue
120     Continue
c
      Else
c
        Do 220 II = LC, LC+NMiss-1
          I = mod(II-1,NCols) + 1
          NP = (II-1)/NCols + 1
          NPO = NP
          If (NPO .gt. 100) NPO = 100
          If ((NP .lt. 1) .or. (NP .gt. NPlanes)) then
            print *,'ERROR: Illegal plane no. in missing-data spec: ',
     +               NP,'; NPlanes = ', NPlanes
            print *,'MSLC####, NMSD####: ',LC,', ',NMiss
          End If
          Do 210 J = 1, NRows
            If (.not.IzNaN(RCube(I,J,NP))) then
              If ((Abs(RCube(I,J,NP)-Offset(NPO)-RIBlank) .gt. 0.5)
     +             .and. .not.RowSpec) then
                print *,'ERROR: blank pixel should be ',
     +                   RIBlank,' but is not!'
                print *,'Pixel (I,J,NP): ',I,', ',J,', ',NP,
     +                '; value = ',RCube(I,J,NP)
                print *,'MSLC####, NMSD####:',LC,', ',NMiss
                call exit(64)
              end if
            End If
            RCube(I,J,NP) = R4Blank
c           DMask(I,J,NP) = 16384         !  Set bit 14
            Call SetBit(DMask(I,J,NP),14)
210       Continue
220     Continue
c
      End If
c
      Return
      End
