/* $Id: darkdrift.h,v 1.9 2007/08/08 20:25:28 laher Exp $ */


/***********************************************
darkdrift.h

Purpose

Define constant values.

***********************************************/
#define	DRIVERSN		4.1
#define PROGRAM                 "darkdrift"
#define PROGRAMABB              "DRI"
#define PROGRAMPURPOSE          "DARK-CURRENT OFFSET CALCULATION AND REMOVAL"

#define STRING_BUFFER_SIZE            256

#define NCALCDOMS                       4
#define NBADPIXGLOTOL                16375

#define	MAX_FILENAME_LENGTH	161
#define	I_FCNNAME_LENGTH	256
#define	I_MESSAGE_LENGTH	256

#define	INV_SQRT_2PI		0.398942280401

#define	LEFT_MASK		0xffff0000
#define	RIGHT_MASK		0x0000ffff

#define FNANMASK   0x7F80 /* mask bits 1 - 8; all set on NaNs */
#define DNANMASK   0x7FF0 /* mask bits 1 - 11; all set on NaNs */
#define fnan(L) ((L & FNANMASK)==FNANMASK ? 1 : (L & FNANMASK) == 0 ? 2 : 0)
#define dnan(L) ((L & DNANMASK)==DNANMASK ? 1 : (L & DNANMASK) == 0 ? 2 : 0)








