/* $Id: droopop_init_const.c,v 1.11 2005/12/07 00:10:57 fan Exp $ */


/*********************************************** 
droopop_init_const.c

Purpose

Set constant values as defined in the header file droopop.h.

Overview


Definitions of Variables

See "main" function droopop_exec.


***********************************************/

#include <stdio.h>
#include "droopop.h"
#include "droopop_errcodes.h"
#include "droopop_defs.h"

droopop_init_const(	
            Filenames	*Fnames,
            Constants   *Const,
            Status  	*Stat)
{

/* Initialize all status flags */
Stat->I_status = 0;
Stat->I_Verbose = 0;

Const->PmaskFatal = 32767;
Const->DmaskFatal = 32767;
Const->BmaskFatal = 32767;
Const->CmaskFatal = 32767;
Const->Resat = 0;
Const->SatBit = 4;
Const->SatVal = 65535.0;
Const->In_Vars = 0;
Const->Droop = 0.0;
Const->Droop_Error = 0.0;
Const->QAheader = 0;
Const->Drsumplf = 0.0;
Const->Drsumpll = 0.0;
Const->OnePlaneDroop = 0;

sprintf(Fnames->CP_Filename_Pmask, "%s", "");
sprintf(Fnames->CP_Filename_Dmask, "%s", "");
sprintf(Fnames->CP_Filename_Bmask, "%s", "");
sprintf(Fnames->CP_Filename_Cmask, "%s", "");
sprintf(Fnames->CP_Filename_FITS_In, "%s", "");
sprintf(Fnames->CP_Filename_Vars_In, "%s", "");
sprintf(Fnames->CP_Filename_Refs_In, "%s", "");
sprintf(Fnames->CP_Filename_Vars_Refs_In, "%s", "");
sprintf(Fnames->CP_Filename_FITS_Out, "%s", "");
sprintf(Fnames->CP_Filename_Vars_Out, "%s", "");
sprintf(Fnames->CP_Filename_Namelist, "%s", "");
}
