/* $Id: droopop_usage.c,v 1.12 2005/12/07 00:10:57 fan Exp $ */


/*********************************************** 
droopop_usage.c

Purpose
explain the command-line usage of droopop

Overview

***********************************************/

#include <stdio.h>
#include "droopop.h"
#include "droopop_errcodes.h"
#include "droopop_defs.h"


droopop_usage() {

      printf("Usage:\n\n");
      printf("Required arguments:\n");
      printf("-i1	input filename\n");
      printf("-o1	output filename\n");
      printf("-r	droop coupling constant\n\n");
      printf("Optional arguments\n");
      printf("-n	namelist filename\n"); 
      printf("-j1	input reference filename\n");
      printf("-j2	input reference uncertainty filename\n");
      printf("-i2	input uncertainty filename\n");
      printf("-o2	output uncertainty filename\n");
      printf("-e	droop constant uncertainty\n");
      printf("-d	dmask filename 'DCE pixel status'\n");
      printf("-p	pmask filename 'hardware status'\n");
      printf("-b	bmask filename 'calibration image status'\n");
      printf("-c	cmask filename 'calibration image status'\n");
      printf("-fp	pmask fatal bit template\n");
      printf("-fd	dmask fatal bit template\n");
      printf("-fc	cmask fatal bit template\n");
      printf("-fb	bmask fatal bit template\n");
      printf("-sb	saturation bit in dmask\n");
      printf("-sv	saturation value\n");
      printf("-a	reset saturation mode\n");
      printf("-q	QA header writer on if set\n");
      printf("-g	first data or reference data plane droop effect\n");
      printf("-v	puts the code in verbose mode\n\n");

}
