/* $Id: droopres_usage.c,v 1.8 2002/09/04 22:07:34 fan Exp $ */


/*********************************************** 
droopres_usage.c

Purpose
explain the command-line usage of droopres

Overview

***********************************************/

#include <stdio.h>
#include "droopres.h"
#include "droopres_errcodes.h"
#include "droopres_defs.h"


droopres_usage() {

      printf("Usage:\n\n");
      printf("Required arguments:\n");
      printf("-i1	input filename\n");
      printf("-o1	output filename\n");
      printf("-u	umask filename defining unilluminated areas\n\n");
      printf("Optional arguments\n");
      printf("-n	namelist filename\n"); 
      printf("-i2	input uncertainty filename\n");
      printf("-o2	output uncertainty filename\n");
      printf("-t1	trim fraction; default 1.0\n");
      printf("-t2	trim fraction for standard deviation; default 1.0\n");
      printf("-d	dmask filename 'DCE pixel status'\n");
      printf("-p	pmask filename 'hardware status'\n");
      printf("-c	cmask filename 'calibration status'\n");
      printf("-b	bmask filename 'BCD image status'\n");
      printf("-fp	pmask fatal bit template\n");
      printf("-fd	dmask fatal bit template\n");
      printf("-fc	cmask fatal bit template\n");
      printf("-fb	bmask fatal bit template\n");
      printf("-v	verbose mode\n\n");

}
