

/***********************************************
rowdroop.h

Purpose

Define some constant values.

***********************************************/
#define	VERSN			1.5

#define	MAX_FILENAME_LENGTH	161
#define	I_FCNNAME_LENGTH	256
#define	I_MESSAGE_LENGTH	256
#define STRING_BUFFER_SIZE      256

#define	INV_SQRT_2PI		0.398942280401

#define ROWDROOP_QUESTIONABLE   1
#define ROWDROOP_NO_APPLY       2



#define FNANMASK   0x7F80 /* mask bits 1 - 8; all set on NaNs */
#define DNANMASK   0x7FF0 /* mask bits 1 - 11; all set on NaNs */
#define fnan(L) ((L & FNANMASK)==FNANMASK ? 1 : (L & FNANMASK) == 0 ? 2 : 0)
#define dnan(L) ((L & DNANMASK)==DNANMASK ? 1 : (L & DNANMASK) == 0 ? 2 : 0)
