# DARK pipeline wrapper

#===================================================================
# initialize
use strict;
require "$ENV{'CUPID'}/wrappers/wrapper_subs.pm"; # standard subroutines
initialize();

#===================================================================
#STEP DARKEST Coadd the bcd image cubes
run_module("DARKEST darkest
IN  -i1 <INFILE2>          # list of input FLUX datafiles
IN  -i2 <INFILE3>          # list of input UNC datafiles
IN  -d  <INFILE4>          # list of input DMASK datafiles
CDF -n  darkest_offline.nl # namelist file
OUT -o1 dark_flux.fits     # Output FLUX file
# OUT -o2 dark_unc.fits      # Output UNC file ## should use all zeroes for unc
OUT -o3 dark_cmask.fits    # Output DARK CMASK file
");

#===================================================================
# print END message, update STATUS file,  and exit the program
terminate();
